stri_isempty {stringi} | R Documentation

## Determine if a String is of Length Zero

### Description

This is the fastest way to find out whether the elements of a character vector are empty strings.

### Usage

    stri_isempty(str)

### Arguments

`str` | character vector or an object coercible to

### Details

Missing values are handled properly.

### Value

Returns a logical vector of the same length as `str`.

### See Also

Other length: `stri_length`, `stri_numbytes`, `stri_width`

### Examples

    stri_isempty(letters[1:3])
    stri_isempty(c(',', '', 'abc', '123', '\u0105\u0104'))
    stri_isempty(character(1))

[Package stringi version 1.2.4 Index]